Workspaces - Update Workspace
Updates the specified workspace properties.
Permissions
The caller must have admin workspace role.
Required Delegated Scopes
Workspace.ReadWrite.All
Throttling limits
| Limit Type | Value |
|---|---|
| Unified Quota for Platform APIs | 200 calls/min |
| API limit | 200 calls/min |
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
PATCH https://api.fabric.microsoft.com/v1/workspaces/{workspaceId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
workspace
|
path | True |
string (uuid) |
The workspace ID. |
Request Body
| Name | Type | Description |
|---|---|---|
| description |
string |
The workspace description. |
| displayName |
string |
The workspace display name. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Update a workspace example
Sample request
PATCH https://api.fabric.microsoft.com/v1/workspaces/33bae707-5fe7-4352-89bd-061a1318b60a
{
"displayName": "Workspace New displayName",
"description": "Workspace New description"
}
Sample response
{
"id": "33bae707-5fe7-4352-89bd-061a1318b60a",
"displayName": "Workspace New displayName",
"description": "Workspace New description",
"type": "Workspace",
"domainId": "686177b9-ef29-45e4-a5db-1786ca6dbb9f",
"capacityRegion": "East US"
}
Definitions
| Name | Description |
|---|---|
|
Capacity |
The region of the capacity associated with this workspace. Additional capacity region values may be added over time. |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
|
Update |
Update workspace request payload. |
| Workspace |
A workspace object. |
|
Workspace |
Represents an applied tag. |
|
Workspace |
A workspace type. Additional workspace types may be added over time. |
CapacityRegion
The region of the capacity associated with this workspace. Additional capacity region values may be added over time.
| Value | Description |
|---|---|
| Australia East |
Australia East region |
| Australia Southeast |
Australia Southeast region |
| Brazil South |
Brazil South region |
| Brazil Southeast |
Brazil Southeast region |
| Canada Central |
Canada Central region |
| Canada East |
Canada East region |
| Central India |
Central India region |
| Central US |
Central US region |
| Central US EUAP |
Central US EUAP region |
| East Asia |
East Asia region |
| East US |
East US region |
| East US 2 |
East US 2 region |
| France Central |
France Central region |
| France South |
France South region |
| Germany Central |
Germany Central region |
| Germany Northeast |
Germany Northeast region |
| Israel Central |
Israel Central region |
| Italy North |
Italy North region |
| Japan East |
Japan East region |
| Japan West |
Japan West region |
| Korea Central |
Korea Central region |
| Korea South |
Korea South region |
| Mexico Central |
Mexico Central region |
| North Central US |
North Central US region |
| North Europe |
North Europe region |
| Norway East |
Norway East region |
| Norway West |
Norway West region |
| Poland Central |
Poland Central region |
| South Africa North |
South Africa North region |
| South Africa West |
South Africa West region |
| South Central US |
South Central US region |
| South India |
South India region |
| Southeast Asia |
Southeast Asia region |
| Spain Central |
Spain Central region |
| Sweden Central |
Sweden Central region |
| Switzerland North |
Switzerland North region |
| Switzerland West |
Switzerland West region |
| West Europe |
West Europe region |
| West India |
West India region |
| West US |
West US region |
| West US 2 |
West US 2 region |
| West US 3 |
West US 3 region |
| West Central US |
West Central US region |
| UAE Central |
UAE Central region |
| UAE North |
UAE North region |
| Qatar Central |
Qatar Central region |
| Germany West Central |
Germany West Central region |
| Germany North |
Germany North region |
| UK South |
UK South region |
| UK West |
UK West region |
| China North |
China North region |
| China East |
China East region |
| China East 2 |
China East 2 region |
| China East 3 |
China East 3 region |
| China North 2 |
China North 2 region |
| China North 3 |
China North 3 region |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| relatedResource |
The error related resource details. |
UpdateWorkspaceRequest
Update workspace request payload.
| Name | Type | Description |
|---|---|---|
| description |
string |
The workspace description. |
| displayName |
string |
The workspace display name. |
Workspace
A workspace object.
| Name | Type | Description |
|---|---|---|
| apiEndpoint |
string (uri) |
HTTP URL that represents the API endpoint specific to the workspace. This endpoint value is returned when the user enables preferWorkspaceSpecificEndpoints. It allows for API access over private links. |
| capacityId |
string (uuid) |
The ID of the capacity the workspace is assigned to. |
| capacityRegion |
The region of the capacity associated with this workspace. |
|
| description |
string |
The workspace description. |
| displayName |
string |
The workspace display name. |
| domainId |
string (uuid) |
The ID of the domain the workspace is assigned to. |
| id |
string (uuid) |
The workspace ID. |
| tags |
List of applied tags. |
|
| type |
The workspace type. |
WorkspaceAppliedTag
Represents an applied tag.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The name of the tag. |
| id |
string (uuid) |
The tag ID. |
WorkspaceType
A workspace type. Additional workspace types may be added over time.
| Value | Description |
|---|---|
| Personal |
My folder or My workspace used to manage user items. |
| Workspace |
Workspace used to manage the Fabric items. |
| AdminWorkspace |
Admin monitoring workspace. Contains admin reports such as the audit report and the usage and adoption report. |